Subject: bug#33446: 26; `isearch-lazy-highlight-update' in MASTER today

From: Juri Linkov <[email-masked]>
Date: Thu, 22 Nov 2018 00:42:34 +0200

> Yes, I guessed that finally.  Beyond that, I think it's
> not intended to be invoked outside of search (i.e.,
> when `isearch-mode' is nil).  That was my mistake:
> invoking it in a command that can be used during Isearch
> or not.
>
> I know that wasn't intended as part of the Isearch
> design.  Now I test for it and avoid calling `i-l-h-u'.
>
> (But it might not hurt for `i-l-h-u' itself to test and
> do nothing if `isearch-mode' is nil.  I'm not requesting
> that, however.)

isearch-lazy-highlight-update can't test for non-nil
isearch-mode, because it's also used in non-isearch cases
like in query-replace where isearch-mode is nil.

> Feel free to close this bug, if you like.  It's not
> clear to me whether any code change is needed.

I thought that your request was for using
isearch-lazy-highlight-window as an argument
of window functions in isearch-lazy-highlight-update.
If you need this, then please create a new request,
and I'm closing this one.